# Lugia 大前端生态技术解决方案

> Lugia 是一整套面向云原生化大前端生态技术解决方案。我们希望把交互设计与前端应用代码开发有机的融为一体，形成一种跨时代的大前端生态技术规范。

[Lugia - 知乎专栏](https://zhuanlan.zhihu.com/c_1142833498632077312)

[重塑前端工作流-Lugia 正式版发布 - 葱花 i1214 的文章 - 知乎](https://zhuanlan.zhihu.com/p/77255855)

在现在的版本中，我们重点发布了四款产品：

- Lugia Design：大道至简的设计规范。对于设计来说，知性可以同时定义为 “ 形式上的优美和极致 ” 和 “ 科学上的精确和简洁 ”，我们相信知性的设计，实现了二者的完美契合。
- LugiaX：一个基于 Redux 的前端状态管理工具。提供简单高效的全局状态管理方案、 基于 async/await 的异步操作、快捷的双向绑定。LugiaX 内置路由库，对 react-router 做了轻量封装，使用起来更加简单明了。
- Lugia Web：一套基于 Lugia Design 的高品质 React 组件库，满足金融行业高性能组件的需求，适用于 Web 端。
- Lugia Mega：标准、高效、开箱即用的前端可视化设计开发工具。Lugia Mega 是一个无需环境搭建、快速上手的跨平台桌面应用（Mac 和 Windows）。为开发人员提供可视化、屏蔽底层、元信息式的开发方式。帮助设计师、产品经理快速设计产品，成果可以直接让开发人员使用。Lugia Mega 贯穿了整个项目的生命周期，让您极速构建前端应用、轻松管理所有项目。

Lugia Mega 是整套大前端生态技术解决方案对外输出的主要承载体。Lugia Design、Lugia Web、 LugiaX 等产品会与 Lugia Mega 整体打包向用户输出使用。

## 重塑前端工作流

重塑前端开发流程，不同职位的产出成果可以直接迭代复用，从而满足云原生大前端的快速迭代开发需求。

我们做那么多事情，最本质的目的就是要提高生产力，达到降低开发成本，提高前端开发质量，提升用户体验的效果。

## 特性

- 标准：约定、配置、初始化、原型设计、效果设计、模型绑定、开发调试、构 建、依赖管理、项目管理、Mock 服务、代理配置...... Lugia Mega 贯穿了整个前端项目的生命周期并采用业内最优秀的解决方案。
- 高效：高品质的物料体系，丰富易用的主题样式，高效快捷的模型管理，让您极速构建前端应用、轻松管理所有项目。
- 开箱即用：Lugia Mega 是一个无需环境搭建、快速上手的跨平台桌面应用(Mac 和 Windows)。通过简单的拖动操作帮助产品经理、设计师快速设计原型、交互稿
  ，成果可以直接让开发人员使用。

## 如何使用

我们提供 macOS、Windows 两个主流系统的桌面应用，若需要其他系统的应用，我们也会根据实际情况进行支持。只需简单的下载、解压，即可开始愉快地设计开发各种前端应用。

## 下载

在 [Lugia](http://lugia.tech) 网站上进行下载。

## 安装

### 环境要求

- Windows7 以上操作系统 或者 macOS 10.13.x 以上操作系统，需要 64 位操作系统
- 内存 8g 以上
- 已接入互联网

### 下载安装

- Windows 系统版本的客户端，仅需要双击运行下载的安装包 LugiaMega-1.x.exe

- macOS 系统的客户端

下载完成后打开 dmg 文件。

若出现 “不明开发者...” 的提示无法打开的话，请打开 系统设置>安全性与隐私>通
用 允许打开应用。

成功打开 dmg 后，拖动 app 到 应用程序 文件夹后，双击打开即可运行。

## 服务手册

因系统的差异性，macOS 与 Windows 两个系统版本的应用界面上会有所差别，但功能上相差无几。

在 Lugia 网站上下载 [lugia-mega 服务手册](http://lugia.tech)。

## 浏览器兼容性

现代浏览器 及 IE10+

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>IE / Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Safari | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/opera/opera_48x48.png" alt="Opera" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Opera |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| IE10+, Edge                                                                                                                                                                                                     | last 2 versions                                                                                                                                                                                                   | last 2 versions                                                                                                                                                                                               | last 2 versions                                                                                                                                                                                               | last 2 versions                                                                                                                                                                                           |
